#!/bin/sh

# SET VARIABLES
backSuffix=.1004

## SOURCE LIST
sourceBackup=/etc/apt/sources.list${backSuffix}
releaseFrom=lucid
releaseName=precise

## MYSQL
mysqlUtf8=default-character-set=utf8
mysqlUtf8Comment='#default-character-set=utf8'
mySqlConf=/etc/mysql/my.cnf${backSuffix}

## UPNP
upnp=upnp_log_filename
upnpComment='#upnp_log_filename'
upnpConf=/etc/upnpd.conf${backSuffix}

# MODIFY FILES BECAUSE OF CHANGES IN NEW VERSIONS
## SOURCES.LIST
echo 'save backup "sources.list" to' $sourceBackup '...'
cp /etc/apt/sources.list $sourceBackup
echo 'Set package entries from' $releaseFrom 'to' $releaseName 
sed -i "s/$releaseFrom/$releaseName/g" /etc/apt/sources.list

## MYSQL
echo 'save backup "my.cnf" to ' $mySqlConf '...'
cp /etc/mysql/my.cnf ${mySqlConf}
echo 'Set value in my.cnf from' $mysqlUtf8 'to' $mysqlUtf8Comment
sed -i "s/$mysqlUtf8/$mysqlUtf8Comment/g" /etc/mysql/my.cnf

## UPNP
echo 'save backup "upnpd.conf" to' $upnpConf '...'
cp /etc/mysql/my.cnf ${upnpConf}
echo 'Set value in my.cnf from' $upnp 'to' $upnpComment
sed -i "s/$upnp/$upnpComment/g" /etc/upnpd.conf

# UPGRADE LMCE
echo 'Start Upgrade  ...'
apt-get update
apt-get dist-upgrade

dpkg -i --force-overwrite /var/cache/apt/archives/default-jre-headless_1%3a1.6-43ubuntu2_i386.deb
apt-get dist-upgrade -o APT::Immediate-Configure=0

echo '12.04 installed? ...'